| Home · API Reference · Modules

Public Member Functions | List of all members
MImSubViewDescription Class Reference
Maliit server

`#include <subviewdescription.h>`

## Public Member Functions

| MImSubViewDescription (const MImSubViewDescription &other)
virtual | ~MImSubViewDescription ()
void | operator= (const MImSubViewDescription &other)
QString | pluginId () const
QString | id () const
QString | title () const

## Detailed Description

Query the current subview properties.

## Constructor & Destructor Documentation

## ◆ MImSubViewDescription()

MImSubViewDescription::MImSubViewDescription | ( | const MImSubViewDescription & | other | ) |

Copy constructor.

## ◆ ~MImSubViewDescription()

MImSubViewDescription::~MImSubViewDescription | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## ◆ id()

QString MImSubViewDescription::id | ( |  | ) | const

Return subview id.

## ◆ operator=()

void MImSubViewDescription::operator= | ( | const MImSubViewDescription & | other | ) |

Assignment operator.

## ◆ pluginId()

QString MImSubViewDescription::pluginId | ( |  | ) | const

Return plugin id.

## ◆ title()

QString MImSubViewDescription::title | ( |  | ) | const

Return subview title.

Copyright © 2011 Nokia Corporation |  | Maliit